#!/usr/bin/python

# Author:  	Philip Cayting, Yale University
#			philip.cayting@yale.edu
# Function:  Displays a list of the BreakDB sources and links to their results.

import SVEvent
import SVdB

conn = SVdB.getConnection()
						
sources = SVdB.getAllSources(conn)

print "Content-type: text/html"
print

print "<HTML><a href=\"display.py\"><img src=\"svdb-header.gif\" border=0></a>"
print "<font face=\"Arial, Helvetica, sans-serif\">"
print "<H2>View By Source</H2>"
print "<UL>"
for source in sources:
	print "<LI><a href=\"display.py?source=%i\">%s</a>" % (source[1], source[0])
	print "<UL><LI>(%i events)</UL>" % source[2]
	
print "</UL></HTML>"