#ifndef __LENGTHDISTRIBUTION_HH__
#define __LENGTHDISTRIBUTION_HH__

//--- C/C++ includes ---
#include <iostream>
#include <fstream>
using namespace std;

//--- ROOT includes ---
#include <TString.h>
#include <TRandom3.h>

class LengthDistribution
{
public:
  LengthDistribution(int upRange);
  LengthDistribution(TString fileName);
  ~LengthDistribution();

private:
  int lowRange_, upRange_, max_;
  int *distr_;

public:
  int getUpRange()  { return upRange_; }
  int getLowRange() { return lowRange_; }

public:
  int fill(int val);
  int generateLength(bool skip_zero = true);
};

#endif
